<html>
<head>
<title>Ogre::CompositionPass::InputTex Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html">InputTex</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositionPass::InputTex Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositionPass::InputTex" -->
<p>Inputs (for material used for rendering the quad)  
 <a href="structOgre_1_1CompositionPass_1_1InputTex.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>&gt;</code></p>

<p><a href="structOgre_1_1CompositionPass_1_1InputTex-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a5f5c8dbdb4aabf1584453cefb997ae03">InputTex</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a0c02e4a4e46c29f23af2e5cfdd4e01aa">InputTex</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;_name, size_t _mrtIndex=0)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a549645d3640226a6cbd2bdb3d4f29d59">name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Name (local) of the input texture (empty == no input)  <a href="#a549645d3640226a6cbd2bdb3d4f29d59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#afb900befa1a297701c434ccc65d3d810">mrtIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">MRT surface index if applicable.  <a href="#afb900befa1a297701c434ccc65d3d810"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Inputs (for material used for rendering the quad) </p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h_source.html#l00223">223</a> of file <a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a5f5c8dbdb4aabf1584453cefb997ae03"></a><!-- doxytag: member="Ogre::CompositionPass::InputTex::InputTex" ref="a5f5c8dbdb4aabf1584453cefb997ae03" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a5f5c8dbdb4aabf1584453cefb997ae03">Ogre::CompositionPass::InputTex::InputTex</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionPass_8h_source.html#l00229">229</a> of file <a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0c02e4a4e46c29f23af2e5cfdd4e01aa"></a><!-- doxytag: member="Ogre::CompositionPass::InputTex::InputTex" ref="a0c02e4a4e46c29f23af2e5cfdd4e01aa" args="(const String &amp;_name, size_t _mrtIndex=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a5f5c8dbdb4aabf1584453cefb997ae03">Ogre::CompositionPass::InputTex::InputTex</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>_mrtIndex</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionPass_8h_source.html#l00230">230</a> of file <a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="afb900befa1a297701c434ccc65d3d810"></a><!-- doxytag: member="Ogre::CompositionPass::InputTex::mrtIndex" ref="afb900befa1a297701c434ccc65d3d810" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#afb900befa1a297701c434ccc65d3d810">Ogre::CompositionPass::InputTex::mrtIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>MRT surface index if applicable. </p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h_source.html#l00228">228</a> of file <a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a549645d3640226a6cbd2bdb3d4f29d59"></a><!-- doxytag: member="Ogre::CompositionPass::InputTex::name" ref="a549645d3640226a6cbd2bdb3d4f29d59" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1CompositionPass_1_1InputTex.html#a549645d3640226a6cbd2bdb3d4f29d59">Ogre::CompositionPass::InputTex::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Name (local) of the input texture (empty == no input) </p>

<p>Definition at line <a class="el" href="OgreCompositionPass_8h_source.html#l00226">226</a> of file <a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionPass_8h_source.html">OgreCompositionPass.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
